Subject: bug#74681: seatd-service-type: error with elogind-service-type

From: fourfivemg <[email-masked]>
Date: Mon, 9 Dec 2024 13:59:54 +0000

Hi Hilton,

> Both services are conflict, you can only choose one of them.

Thanks for letting me know. I later began to suspect as much, but I wasn't sure.

I do wish there had been a way to get a more informative error message
in this situation, but I guess that's a different topic altogether.

This can be closed now.

On Fri, Dec 6, 2024 at 10:14 AM Hilton Chain <[email-masked]> wrote:
>
> Hi,
>
> On Wed, 04 Dec 2024 00:05:24 +0800,
> fourfivemg wrote:
> >
> > Adding both to the `services` section of your `(operating-system)` form, like
> > this:
> >
> > ```
> >   (services
> >     (append (list
> >              (service elogind-service-type)
> >              (service seatd-service-type))
> >             %base-services))
> > ```
> >
> > ...will produce this error on running `sudo guix system reconfigure
> > /etc/config.scm`:
> >
> > ```
> > guix system: error: service 'file-system-/sys/fs/cgroup' provided more than once
> > ```
> >
> > ...and the command will fail with no further error messages and exit code 1.
> >
> > Not sure how to figure this out further. Tried `guix system build -K`, `--debug`
> > and `--verbosity` options; no change in output.
> >
> > A different config producing the same error message was reported here:
> > https://www.reddit.com/r/GUIX/comments/14fy6ac/configuration_file_returns_error_when_trying_to/
>
> Both services are conflict, you can only choose one of them.  If you want to use
> seatd-service-type with %desktop-services, try to delete elogind-service-type as
> well.
>
> Thanks